summaryrefslogtreecommitdiff
path: root/tests/test-select-in.sh
diff options
context:
space:
mode:
authorJörg Frings-Fürst <debian@jff.email>2026-03-10 13:24:07 +0100
committerJörg Frings-Fürst <debian@jff.email>2026-03-10 13:24:07 +0100
commitcfd1f17f1a85d95ea12bca8dae42add7dad1ad11 (patch)
tree8016486f8ee7157213f2d09ff2491bfa9c94638a /tests/test-select-in.sh
parent14e4d584d0121031ec40e6c35869745f1747ff29 (diff)
parent1403307d6e2fb4e7b5d97a35f40d1e95134561ab (diff)
Merge branch 'release/debian/1.4.2-1'HEADdebian/1.4.2-1master
Diffstat (limited to 'tests/test-select-in.sh')
-rwxr-xr-xtests/test-select-in.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/tests/test-select-in.sh b/tests/test-select-in.sh
index ad86ea25..9c74ca0c 100755
--- a/tests/test-select-in.sh
+++ b/tests/test-select-in.sh
@@ -28,7 +28,18 @@ test `cat t-select-in.tmp` = "1" || exit 1
# Special files.
# This part of the test is known to fail on Solaris 2.6 and older.
-
+# Also it fails in Cygwin 3.6.1, due to a Cygwin regression.
+# <https://sourceware.org/pipermail/cygwin/2025-April/257940.html>
+# <https://sourceware.org/pipermail/cygwin/2025-April/257952.html>
+case `uname -s` in
+ CYGWIN*)
+ case `uname -r` in
+ 3.6.*)
+ echo "Skipping test: known Cygwin 3.6.x bug"
+ exit 77;;
+ esac
+ ;;
+esac
rm -f t-select-in.tmp
${CHECKER} ./test-select-fd${EXEEXT} r 0 t-select-in.tmp < /dev/null
test `cat t-select-in.tmp` = "1" || exit 1